pcl::_PointWithViewpoint Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointWithViewpoint:

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float vp_x
float vp_y
float vp_z
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 1224 of file point_types.hpp.

## Member Data Documentation

##

union { ... }

## data_c

float pcl::_PointWithViewpoint::data_c[4]

Definition at line 1235 of file point_types.hpp.

## PCL_ADD_POINT4D

pcl::_PointWithViewpoint::PCL_ADD_POINT4D

Definition at line 1226 of file point_types.hpp.

## vp_x

float pcl::_PointWithViewpoint::vp_x

Definition at line 1231 of file point_types.hpp.

Referenced by pcl::PointWithViewpoint::PointWithViewpoint().

## vp_y

float pcl::_PointWithViewpoint::vp_y

Definition at line 1232 of file point_types.hpp.

Referenced by pcl::PointWithViewpoint::PointWithViewpoint().

## vp_z

float pcl::_PointWithViewpoint::vp_z

Definition at line 1233 of file point_types.hpp.

Referenced by pcl::PointWithViewpoint::PointWithViewpoint().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp